Page MenuHomePhabricator

Personalized first day: activate for Vietnamese Wikipedia
Closed, ResolvedPublic

Description

We are going to start running the welcome survey in Vietnamese Wikipedia. When we start, we will give Variation A to 50% of new users and Variation C to 50% of new users, with no control group.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable WelcomeSurvey experiment 2 on viwiki
mediawiki/extensions/GrowthExperiments : wmf/1.33.0-wmf.14Special:WelcomeSurvey Vietnamese alias
mediawiki/extensions/GrowthExperiments : masterSpecial:WelcomeSurvey Vietnamese alias
mediawiki/extensions/GrowthExperiments : masterSpecial:WelcomeSuvey Vietnamese alias (updated)
mediawiki/extensions/GrowthExperiments : wmf/1.33.0-wmf.13Help panel: ResourceLoaderHelpPanelModule handle help panel disabled
mediawiki/extensions/GrowthExperiments : masterHelp panel: ResourceLoaderHelpPanelModule handle help panel disabled
operations/mediawiki-config : masterEnable the Welcome survey on viwiki

Related Objects

Event Timeline

MMiller_WMF moved this task from Inbox to Upcoming Work on the Growth-Team board.
Trizek-WMF triaged this task as Medium priority.Jan 10 2019, 5:42 PM
Elitre added a subscriber: Elitre.

(Trizek's contribution TBE in parent task.)

Trizek-WMF raised the priority of this task from Medium to High.Jan 14 2019, 5:42 PM
Trizek-WMF moved this task from Upcoming Work to Q2 2019-20 on the Growth-Team board.
Trizek-WMF updated the task description. (Show Details)Jan 15 2019, 4:02 PM
Trizek-WMF added a comment.EditedJan 15 2019, 4:04 PM

Survey text and privacy statements are done.

We want to test this out in Vietnamese Wikipedia before actually turning on the experiment for new users to receive the survey.

Can we have a shadow deployment?

JTannerWMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

@Trizek-WMF -- thank you. Where is the translated privacy statement? I need to send it to Legal so they can post it on Foundation wiki, and so that the link there can be added to the survey.

@SBisson -- we're ready to deploy this to Vietnamese Wikipedia such that we can test the survey. We won't flip it on for any new users to receive until we have the privacy statement link in there.

Change 485112 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[operations/mediawiki-config@master] Enable the Welcome survey on viwiki

https://gerrit.wikimedia.org/r/485112

@SBisson -- we're ready to deploy this to Vietnamese Wikipedia such that we can test the survey. We won't flip it on for any new users to receive until we have the privacy statement link in there.

I'll try to deploy it to viwiki tonight for us to test. If I can't it's going to be next week on Monday.

@SBisson -- thanks.

@Trizek-WMF -- in addition to my questions about the link to the privacy statement, I also want to ask whether it is okay to start the survey when all these things are ready. Is the Vietnamese community good with this change, or do we need to announce it again?

Change 485112 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable the Welcome survey on viwiki

https://gerrit.wikimedia.org/r/485112

@SBisson -- we're ready to deploy this to Vietnamese Wikipedia such that we can test the survey. We won't flip it on for any new users to receive until we have the privacy statement link in there.

I'll try to deploy it to viwiki tonight for us to test. If I can't it's going to be next week on Monday.

The deployment was aborted due to an unexpected error when enabling the GrowthExperiments extension. I will try to get the solution ready for Monday.

Trizek-WMF reassigned this task from Trizek-WMF to SBisson.Jan 18 2019, 1:35 PM
Trizek-WMF updated the task description. (Show Details)

@Trizek-WMF -- thank you. Where is the translated privacy statement? I need to send it to Legal so they can post it on Foundation wiki, and so that the link there can be added to the survey.

My bad, it was the privacy policy that was finished.
But in the meantime, the Privacy statement has been translated: https://vi.wikipedia.org/wiki/Th%C3%A0nh_vi%C3%AAn:Trizek_(WMF)/Sandbox

My tasks are done, Stephane, the floor is yours.

Change 485196 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Help panel: ResourceLoaderHelpPanelModule handle help panel disabled

https://gerrit.wikimedia.org/r/485196

Change 485196 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Help panel: ResourceLoaderHelpPanelModule handle help panel disabled

https://gerrit.wikimedia.org/r/485196

Change 485209 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@wmf/1.33.0-wmf.13] Help panel: ResourceLoaderHelpPanelModule handle help panel disabled

https://gerrit.wikimedia.org/r/485209

MMiller_WMF updated the task description. (Show Details)Jan 22 2019, 6:45 PM

@SBisson -- I've sent the translated survey privacy statement to Legal so they can post it on Foundation Wiki. Then I think you'll need that link to put in the feature itself. I'll post it here when I have it, hopefully today or tomorrow morning.

@Trizek-WMF -- Legal noticed that we also need a translated version of the page's title before they can put it on wiki. In other words, we need "New User Welcome Survey Privacy Statement". Could you please get that and post it here, or add it to the translated page?

@Trizek-WMF -- Legal noticed that we also need a translated version of the page's title before they can put it on wiki. In other words, we need "New User Welcome Survey Privacy Statement". Could you please get that and post it here, or add it to the translated page?

Sure.

Change 485209 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.33.0-wmf.13] Help panel: ResourceLoaderHelpPanelModule handle help panel disabled

https://gerrit.wikimedia.org/r/485209

Change 486288 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Special:WelcomeSurvey Vietnamese alias

https://gerrit.wikimedia.org/r/486288

Change 486288 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Special:WelcomeSurvey Vietnamese alias

https://gerrit.wikimedia.org/r/486288

Change 486302 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Special:WelcomeSuvey Vietnamese alias (updated)

https://gerrit.wikimedia.org/r/486302

Change 486302 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Special:WelcomeSuvey Vietnamese alias (updated)

https://gerrit.wikimedia.org/r/486302

Now, we have everything.
Marshall, I let you contact Legal for the translations of the documents.

Change 486333 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@wmf/1.33.0-wmf.14] Special:WelcomeSurvey Vietnamese alias

https://gerrit.wikimedia.org/r/486333

Change 486335 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[operations/mediawiki-config@master] Enable WelcomeSurvey experiment 2 on viwiki

https://gerrit.wikimedia.org/r/486335

Change 486333 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.33.0-wmf.14] Special:WelcomeSurvey Vietnamese alias

https://gerrit.wikimedia.org/r/486333

Mentioned in SAL (#wikimedia-operations) [2019-01-24T19:19:22Z] <jforrester@deploy1001> Synchronized php-1.33.0-wmf.14/extensions/GrowthExperiments/GrowthExperiments.alias.php: SWAT T213356 Add Special:WelcomeSurvey Vietnamese alias (duration: 00m 54s)

Change 486335 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WelcomeSurvey experiment 2 on viwiki

https://gerrit.wikimedia.org/r/486335

Mentioned in SAL (#wikimedia-operations) [2019-01-24T19:35:37Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT T213356 Enable WelcomeSurvey experiment 2 on viwiki (duration: 00m 53s)

Checked in viwiki (wmf.14)

  • the links (including link to Privacy statement) seem to be in place
  • new users gets assigned to "_group":"exp1_group1" or "_group":"exp2_target_specialpage"
  • the survey forms function correctly and record the responses
MMiller_WMF closed this task as Resolved.Jan 24 2019, 11:32 PM
MMiller_WMF updated the task description. (Show Details)

This is complete. @nettrom_WMF -- I recommend you also take a quick look at the responses in the database, to make sure data is looking like it's in good shape.

  • new users gets assigned to "_group":"exp1_group1" or "_group":"exp2_target_specialpage"

For posterity, new users should be assigned to groups "exp2_target_specialpage" or "exp2_target_popup". And that's what I see in the DB.

There is one user with "exp1_group1" but I'm pretty sure it happened because that user got there with a special URL specifying the group and it was not assigned by the software. That user's name is... Zilant62 ;)

@MMiller_WMF : checked the data in the database, and from what I can tell it looks good to me.